---
- name: old host-agent dir delete - all
  include: delete.yaml
  when:
    - delete_enabled

- name: jaeger-tpcc install
  include: tpcc.yaml
  when:
    - jaeger_enabled
    - not delete_enabled

- name: host-agent install settings
  include: hostsetting.yaml
  when:
    - not delete_enabled

- name: host-agent install - docker
  include: docker.yaml
  when:
    - not delete_enabled

- name: host-agent install - containerd
  include: containerd.yaml
  when:
    - not delete_enabled

- name: host-agent install - crio
  include: podman.yaml
  when:
    - not delete_enabled

- name: host insert
  include: cmoa.yaml
  when:
    - not delete_enabled
